# stl_list.h File Reference

Go to the source code of this file.

## Classes

- class std::_List_base< _Tp, _Alloc >
    See bits/stl_deque.h's _Deque_base for an explanation. More...
- struct std::_List_const_iterator< _Tp >
    A list::const_iterator. More...
- struct std::_List_iterator< _Tp >
    A list::iterator. More...
- struct std::_List_node< _Tp >
    An actual node in the list. More...
- struct std::_List_node_base
    Common part of a node in the list. More...
- class std::list< _Tp, _Alloc >
    A standard container with linear time access to elements, and fixed time insertion/deletion at any point in the sequence. More...

## Namespaces

- namespace std

## Functions

- template<typename _Val > bool std::operator!= (const _List_iterator< _Val > &__x, const _List_const_iterator< _Val > &__y)
- template<typename _Tp , typename _Alloc > bool std::operator!= (const list< _Tp, _Alloc > &__x, const list< _Tp, _Alloc > &__y)
- template<typename _Tp , typename _Alloc > bool std::operator< (const list< _Tp, _Alloc > &__x, const list< _Tp, _Alloc > &__y)
- template<typename _Tp , typename _Alloc > bool std::operator<= (const list< _Tp, _Alloc > &__x, const list< _Tp, _Alloc > &__y)
- template<typename _Val > bool std::operator== (const _List_iterator< _Val > &__x, const _List_const_iterator< _Val > &__y)
- template<typename _Tp , typename _Alloc > bool std::operator== (const list< _Tp, _Alloc > &__x, const list< _Tp, _Alloc > &__y)
- template<typename _Tp , typename _Alloc > bool std::operator> (const list< _Tp, _Alloc > &__x, const list< _Tp, _Alloc > &__y)
- template<typename _Tp , typename _Alloc > bool std::operator>= (const list< _Tp, _Alloc > &__x, const list< _Tp, _Alloc > &__y)
- template<typename _Tp , typename _Alloc > void std::swap (list< _Tp, _Alloc > &__x, list< _Tp, _Alloc > &__y)

## Detailed Description

This is an internal header file, included by other library headers. You should not attempt to use it directly.

Definition in file stl_list.h.